# Class NodeChangeEvent

java.lang.Object
java.util.EventObject
java.util.prefs.NodeChangeEvent

All Implemented Interfaces:
  `Serializable`

public class NodeChangeEvent extends EventObject
An event emitted by a `Preferences` node to indicate that a child of that node has been added or removed.

Note, that although NodeChangeEvent inherits Serializable interface from java.util.EventObject, it is not intended to be Serializable. Appropriate serialization methods are implemented to throw NotSerializableException.

Since:
  1.4
See Also:
  - `Preferences`
  - `NodeChangeListener`
  - `PreferenceChangeEvent`

## Field Summary

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Constructor Summary

Constructors
Constructor
Description
`NodeChangeEvent(Preferences parent, Preferences child)`
Constructs a new `NodeChangeEvent` instance.

## Method Summary

Modifier and Type
Method
Description
`Preferences`
`getChild()`
Returns the node that was added or removed.
`Preferences`
`getParent()`
Returns the parent of the node that was added or removed.

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### NodeChangeEvent

public NodeChangeEvent(Preferences parent, Preferences child)
Constructs a new `NodeChangeEvent` instance.

Parameters:
  `parent` - The parent of the node that was added or removed.
  `child` - The node that was added or removed.

## Method Details

### getParent

public Preferences getParent()
Returns the parent of the node that was added or removed.

Returns:
  The parent Preferences node whose child was added or removed

### getChild

public Preferences getChild()
Returns the node that was added or removed.

Returns:
  The node that was added or removed.